Creates an organization

Creates a new organization.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the request model for command requests related to organizations.

countryCodestring · nullableOptional

The country code of the organization.

Example: US
languageCodestring · nullableOptional

The language code of the organization.

Example: en
namestring · min: 1Required

The name of the organization.

Example: Organization Name
descriptionstring · min: 1Required

The description of the organization.

Example: Organization Description
avatarstring · uri · nullableOptional

The avatar of the organization.

Example: https://example.com/avatar.png
isPrivateboolean · nullableOptional

The is private of the organization. By default, it is set to false.

Example: true
isDefaultboolean · nullableOptional

The is default of the organization. By default, it is set to false.

Example: true
statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
Responses
chevron-right
201

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

post
/api/v1/organizations

Last updated